Bug 59000 - New install of XFree86 & XFree86-xvfb returns Fatal server error: could not open default font 'fixed'
New install of XFree86 & XFree86-xvfb returns Fatal server error: could not ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 21:23 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-28 21:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-28 21:23:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
On 
2.2.14-6.1.1 #1 Thu Apr 13 20:01:58 EDT 2000 i686 unknown
Dell PowerEdge 1550 server attempting to run XFree86 & XFree86-xvfb from rpm 
new install of 
XFree86-3.3.6-29
XFree86-Xvfb-3.3.6-29

Running the command to start Xvfb returns 

/usr/X11R6/bin/Xvfb :1 -screen 0 800x600x8 &
[1] 599
[root@appserv01 /root]# failed to set default font 
path '/usr/X11R6/lib/X11/fonts/misc/,/usr/X11R6/lib/X11/fonts/Speedo/,/usr/X11R6
/lib/X11/fonts/Type1/,/usr/X11R6/lib/X11/fonts/75dpi/,/usr/X11R6/lib/X11/fonts/1
00dpi/'
Fatal server error:
could not open default font 'fixed'

[1]+  Exit 1                  /usr/X11R6/bin/Xvfb :1 -screen 0 800x600x8


XF86Config setup correctly with paths defined
xfs server starting at startup

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup 6.2 system on Dell Poweredge 1550, 1cpu , 1gig ram with standard 
onboard video card.  Install only kernel development, and network workstation 
modules at kickstart.
2. Download XFree86-3.3.6-29.i386.rpm and XFree86-Xvfb-3.3.6-29.i386.rpm from 
http://rpmfind.net
3. Configure Xfree86 for the system
4. /usr/X11R6/bin/Xvfb :1 -screen 0 800x600x8

Actual Results:  failed to set default font 
path '/usr/X11R6/lib/X11/fonts/misc/,/usr/X11R6/lib/X11/fonts/Speedo/,/usr/X11R6
/lib/X11/fonts/Type1/,/usr/X11R6/lib/X11/fonts/75dpi/,/usr/X11R6/lib/X11/fonts/1
00dpi/'
Fatal server error:
could not open default font 'fixed

Expected Results:  A headless Xserver should be running on the system

Additional info:

bbibe
Comment 1 Mike A. Harris 2002-01-28 22:54:49 EST
"Cannot find fixed font" errors indicate a misconfiguration of the
font paths, fonts.dir files, permissions settings or one of many other
possibilities.  Please use one of our mailing lists for help
troubleshooting misconfiguration problems.

You might also consider upgrading to Red Hat Linux 7.2, and XFree86 4.1.0
for the best XFree86 support.  The older releases are in maintenance mode
which means they'll only likely get updates for major gaping security holes.

Hope this helps.
Comment 2 Need Real Name 2002-01-29 12:32:50 EST
Nope doesnt help unless you actually list a web page that refers to this 
problem in a faq or a mailing list thread that contains the correct answer, as 
so far the only mailing list threads I have found  have consisted of someone 
with the same problem stating it and being told by some other learned 
opensource person that they are stupid and need to find the answer on the 
mailing lists.  Thanks for the no help.  I will not be interested in getting a 
subscription to the RHN at 60 bucks a server for advice like this.
Comment 3 Mike A. Harris 2002-01-29 20:30:49 EST
I'm sorry you feel that way.  However, bugzilla is not a technical
support forum to ask questions about configuration or get help.  It is
purely a bug tracking database to report and track bugs in.  The
problem you are having, is not a bug IMHO, but is just a misconfiguration.

We have never advertised bugzilla as being a technical support forum.
Please try our mailing lists for configuration support.

Note You need to log in before you can comment on or make changes to this bug.